export const generateTimestamp = (): string => {
  return Math.round((new Date()).getTime() / 1000).toString();
}

export const parseTimestampToUTC = (unixTimestamp: string): string => {
  if (!unixTimestamp) {
    return ''
  }

  return new Date(Number(unixTimestamp) * 1000).toUTCString();
}

export const generatePostObj = (
  postTitle: string,
  timestamp: string,
  postContent: string,
  filename: string,
  draft: boolean,
  isEdit: boolean,
  editedTimestamp: string
): Object => {
  return {
    postTitle,
    timestamp: draft ? '' : timestamp,
    editedTimestamp: draft ? '' : (isEdit ? editedTimestamp : ''),
    postContent,
    filename,
    draft
  }
}